%define upstream_name    JavaScript-Beautifier
%define upstream_version 0.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Beautify Javascript (beautifier for javascript)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/JavaScript/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::File)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This module is mostly a Perl-rewrite of the
http://github.com/einars/js-beautify/tree/master/beautify.js manpage

You can check it through the http://jsbeautifier.org/ manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/js_beautify.pl
/usr/share/man/man1/js_beautify.pl.1.*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.200.0-2.mga6
+ Revision: 1028817
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.200.0-1.mga6
+ Revision: 1001998
- update to 0.20

* Fri Feb 19 2016 umeabot <umeabot> 0.180.0-2.mga6
+ Revision: 967883
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.180.0-1.mga6
+ Revision: 850442
- update to 0.18

* Wed Oct 15 2014 umeabot <umeabot> 0.170.0-6.mga5
+ Revision: 739054
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.170.0-5.mga5
+ Revision: 685148
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.170.0-4.mga4
+ Revision: 512426
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-3.mga3
+ Revision: 368821
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 pterjan <pterjan> 0.170.0-2.mga3
+ Revision: 336060
- Fix manpage extension in file list

* Fri Jan 21 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 28608
- mageia rebuild
- imported package perl-JavaScript-Beautifier

